<div class="smrtUsers" ng-controller="userCtrl">

    <div class="existingUsers moreBtm">
        <div class="subHeader borderBtm paddingFull">
            <div class="heading floatLeft marginTopShort">
                All Accounts
            </div>
            <div class="btn floatRight small newUserAccountBtn" ng-click="clearFormData()">New Account</div>
            <span class="clear"></span>
        </div>

        <div class="dataTable usersTable subNormal">
            <div class="dataRow header">
                <div class="rowContMain">

                    <ul class="rowCont">

                        <li class="name">
                            <div class="content">
                                Username
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                                First Name
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                                Last Name
                            </div>
                        </li>
                        <li class="id">
                            <div class="content">
                                Email
                            </div>
                        </li>
                        <li class="edit">
                            <div class="content">
                                Edit
                            </div>
                        </li>
                        <li class="delete">
                            <div class="content">
                                Delete
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="dataRow"  ng-repeat="userData in userData.userArray track by $index">
                <div class="rowContMain">

                    <ul class="rowCont">

                        <li class="name">
                            <div class="content">
                              {{userData.username}}
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                              {{userData.firstName}}
                            </div>
                        </li>
                        <li class="name">
                            <div class="content">
                              {{userData.lastName}}
                            </div>
                        </li>
                        <li class="id">
                            <div class="content">
                              {{userData.email}}
                            </div>
                        </li>
                     <!-- ng-if="!userData.isAdmin"-->
                      <li class="edit" ng-if="userData.isAdmin" >
                        <div class="content">
                          <!--<div class="editBtn" ng-click="editUserDetails(userData)">
                            <img src="images/editSign.png" alt="">
                          </div>-->
                        </div>
                      </li>
                      <li class="delete" ng-if="userData.isAdmin" >
                        <div class="content">
                         <!-- <div class="deleteBtn"  ng-click="setUserIdForDelete(userData._id,$index,userData.username)">
                            <img src="images/delete_red.png" alt="">
                          </div>-->
                        </div>
                      </li>
                        <li class="edit" ng-if="!userData.isAdmin" >
                            <div class="content">
                                <div class="editBtn" ng-click="editUserDetails(userData)">
                                    <img src="images/editSign.png" alt="">
                                </div>
                            </div>
                        </li>
                        <li class="delete" ng-if="!userData.isAdmin" >
                            <div class="content">
                                <div class="deleteBtn"  ng-click="setUserIdForDelete(userData._id,$index,userData.username)">
                                    <img src="images/delete_red.png" alt="">
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <!--<div class="dataRow" ng-repeat="userData in userData.userArray track by $index">-->
                <!--<div class="rowContMain">-->

                    <!--<ul class="rowCont">-->

                        <!--<li class="name">-->
                            <!--<div class="content">-->
                                <!--{{userData.username}}-->
                            <!--</div>-->
                        <!--</li>-->
                        <!--<li class="name">-->
                            <!--<div class="content">-->
                                <!--{{userData.firstName}}-->
                            <!--</div>-->
                        <!--</li>-->
                        <!--<li class="name">-->
                            <!--<div class="content">-->
                                <!--{{userData.lastName}}-->
                            <!--</div>-->
                        <!--</li>-->
                        <!--<li class="id">-->
                            <!--<div class="content">-->
                                <!--{{userData.email}}-->
                            <!--</div>-->
                        <!--</li>-->
                        <!--<li class="edit" ng-if="!userData.userDetails.isAdmin">-->
                            <!--<div class="content">-->
                                <!--<div class="editBtn" ng-click="editUserDetails(userData)">-->
                                    <!--<img src="images/editSign.png" alt="">-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</li>-->
                        <!--<li class="delete">&lt;!&ndash;{{userData.username}}&ndash;&gt;-->
                            <!--<div class="content" ng-if="!userData.isAdmin">-->
                                <!--<div class="deleteBtn" ng-click="setUserIdForDelete(userData._id,$index,userData.username)">-->
                                    <!--<img src="images/delete_red.png" alt="">-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</li>-->
                    <!--</ul>-->
                <!--</div>-->
            <!--</div>-->
        </div>


        <ul class="pagination marginTop">
          <li ng-repeat="page in userData.userCountArray track by $index"
              ng-class="{active: $index+1 == userData.pageSelected}"  ng-click="setUserDataForPagination($index+1)">
            {{$index+1}}</li>
        </ul>
    </div>

    <!--....... New Users .......-->
    <div class="newUsers popup">
        <div class="popupCont">
            <div class="marginBtm">Accounts Details</div>
            <!--<div class="userAlert small error roboRegular marginBtmSml">This user is already exist.</div>-->
            <div class="formMain marginBtm">
                <form action="" name="userForm" novalidate>
                    <ul class="form normal" >
                        <li class="">
                            <input type="text" class="subNormal full" placeholder="First Name" ng-model="userData.newUserData.firstName">
                        </li>
                        <li class="">
                            <input type="text" class="subNormal full" placeholder="Last Name" ng-model="userData.newUserData.lastName">
                        </li>
                        <li class="" ng-if="!userData.newUserData.isAdmin">
                            <div class="tag error" ng-show="userForm.userName.$error.required && (userForm.$submitted || userForm.userName.$touched)">Username is required</div>
                            <input type="text" class="subNormal full" name="userName" placeholder="User Name" ng-model="userData.newUserData.username" required>

                        </li>
                        <li class="">
                            <input type="text" class="subNormal full" placeholder="Email" ng-model="userData.newUserData.email">
                        </li>
                        <li class="" ng-if="userData.userFormDetails.buttonType=='Save'">
                          <div class="tag error" ng-show="userForm.Password.$error.required && (userForm.$submitted || userForm.Password.$touched)">Password is required</div>
                            <input type="password" class="subNormal full" name="Password" placeholder="Password"  ng-model="userData.newUserData.password" required>
                        </li>
                        <li class="" ng-if="userData.userFormDetails.buttonType=='Update'">
                            <input type="password" class="subNormal full" placeholder="New Password" ng-model="userData.newUserData.newPassword">
                        </li>
                    </ul>
                </form>
            </div>
            <div class="formBtns">
              <button class="save close btn small midBlock marginRgt" ng-click="saveNewUser()"
                   ng-if="userData.userFormDetails.buttonType=='Save'"
                      ng-disabled="userForm.$invalid">{{userData.userFormDetails.buttonType}}</button>
              <div class="save close btn small midBlock marginRgt" ng-click="updateUserDetails()"
                   ng-if="userData.userFormDetails.buttonType=='Update'">{{userData.userFormDetails.buttonType}}</div>
              <div class="close btn small midBlock">Cancel</div>
            </div>
        </div>
    </div>


    <!--........ Delete User ........-->
    <div class="DeleteUserAccount popup">
        <div class="popupCont">
            <div class="txt">Do you want to delete {{userData.delete.userName}}</div>
            <div class="formBtns small">
                <div class="save close btn midBlock marginRgt" ng-click="deleteUser()">Delete</div>
                <div class="cancel close btn midBlock">Cancel</div>
            </div>
        </div>
    </div>
</div>

